#pragma once

namespace maps::wiki::social::feedback {

struct TaskNew;
class Task;

void requireTaskAndAttrsConsistency(const TaskNew& task);

/* Speed limit task */

void requireSpeedLimitConsistency(const Task& task);
void requireSpeedLimitConsistency(const TaskNew& task);

/* Route lost task */

void requireRouteLostConsistency(const Task& task);
void requireRouteLostConsistency(const TaskNew& task);

/*
    add new tasks here
*/

} // namespace maps::wiki::social::feedback
